package com.rv.home.rv.module.ui.main.home.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;
import java.util.List;

/**
 * Created :Auser
 * Date: 2019/5/24.
 * Desc:驾驶证列表
 */

public class DrivingListBean extends BaseBean{


    /**
     * data : {"totalCount":1,"totalPage":1,"pageNum":1,"data":[{"id":4,"userid":14,"name":"空空空","phone":"15666668555","idCard":"225566665589666666","license":"","img":"https://xxfcim.upyuns.com/image/u/2/10000002/201905/o/adb766b69c0140018a3aaaa08b37d41d.jpg","fimg":"https://xxfcim.upyuns.com/image/u/2/10000002/201905/o/adb766b69c0140018a3aaaa08b37d41d.jpg","updateTime":1558747750,"isdel":0}]}
     * code : 1
     */

    private DataBeanX data;
    private int code;

    public DataBeanX getData() {
        return data;
    }

    public void setData(DataBeanX data) {
        this.data = data;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public static class DataBeanX {
        /**
         * totalCount : 1
         * totalPage : 1
         * pageNum : 1
         * data : [{"id":4,"userid":14,"name":"空空空","phone":"15666668555","idCard":"225566665589666666","license":"","img":"https://xxfcim.upyuns.com/image/u/2/10000002/201905/o/adb766b69c0140018a3aaaa08b37d41d.jpg","fimg":"https://xxfcim.upyuns.com/image/u/2/10000002/201905/o/adb766b69c0140018a3aaaa08b37d41d.jpg","updateTime":1558747750,"isdel":0}]
         */

        private int totalCount;
        private int totalPage;
        private int pageNum;
        private List<DataBean> data;

        public int getTotalCount() {
            return totalCount;
        }

        public void setTotalCount(int totalCount) {
            this.totalCount = totalCount;
        }

        public int getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(int totalPage) {
            this.totalPage = totalPage;
        }

        public int getPageNum() {
            return pageNum;
        }

        public void setPageNum(int pageNum) {
            this.pageNum = pageNum;
        }

        public List<DataBean> getData() {
            return data;
        }

        public void setData(List<DataBean> data) {
            this.data = data;
        }

        public static class DataBean implements Serializable{
            /**
             * id : 4
             * userid : 14
             * name : 空空空
             * phone : 15666668555
             * idCard : 225566665589666666
             * license :
             * img : https://xxfcim.upyuns.com/image/u/2/10000002/201905/o/adb766b69c0140018a3aaaa08b37d41d.jpg
             * fimg : https://xxfcim.upyuns.com/image/u/2/10000002/201905/o/adb766b69c0140018a3aaaa08b37d41d.jpg
             * updateTime : 1558747750
             * isdel : 0
             */
            public  int selectType;//是否选中
            private int id;
            private int userid;
            private String name;
            private String phone;
            private String idCard;
            private String license;
            private String img;
            private String fimg;
            private int updateTime;
            private int isdel;

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public int getUserid() {
                return userid;
            }

            public void setUserid(int userid) {
                this.userid = userid;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getPhone() {
                return phone;
            }

            public void setPhone(String phone) {
                this.phone = phone;
            }

            public String getIdCard() {
                return idCard;
            }

            public void setIdCard(String idCard) {
                this.idCard = idCard;
            }

            public String getLicense() {
                return license;
            }

            public void setLicense(String license) {
                this.license = license;
            }

            public String getImg() {
                return img;
            }

            public void setImg(String img) {
                this.img = img;
            }

            public String getFimg() {
                return fimg;
            }

            public void setFimg(String fimg) {
                this.fimg = fimg;
            }

            public int getUpdateTime() {
                return updateTime;
            }

            public void setUpdateTime(int updateTime) {
                this.updateTime = updateTime;
            }

            public int getIsdel() {
                return isdel;
            }

            public void setIsdel(int isdel) {
                this.isdel = isdel;
            }
        }
    }
}
